//
//  VPNUBroadcaster.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2015 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

/*!
 @brief Key for newly found SSID value, passed in @c userInfo dictionary of @c VPNUNewSSIDFoundNotification notification.
 */
extern NSString * const kVPNUNewSSIDNotificationKey;


/*! @brief Notification that is posted when the VPN connection status changes. */
extern NSString * const VPNUConnectionStatusDidChangeNotification;
/*! @brief Value for this key in `VPNUConnectionStatusDidChangeNotification` `userInfo` dictionary contains `NSNumber` representation of `VPNUConnectionStatus`. */
extern NSString * const VPNUConnectionStatusDidChangeNotificationStatusKey;
/*! @brief Value for this key in `VPNUConnectionStatusDidChangeNotification` `userInfo` dictionary contains `NSNumber` representation of boolean flag which if `YES` indicates that message was sent from default NEVPNManager. */
extern NSString * const VPNUConnectionStatusDidChangeNotificationIsDefaultManagerKey;
/*! @brief Notification that is posted when current user is signed out. */
extern NSString * const VPNUDidSignOutNotification;
/*! @brief Notification that is posted when device connects to a new unrecognized WiFi network. */
extern NSString * const VPNUNewSSIDFoundNotification;
