//
//  VPNUOpenVPNStateNotification.h
//  VPNUnimitedSDK
//
//  Copyright (c) 2016 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, KSOpenVPNState) {
    KSOpenVPNStateUnknown,
    /* Initial, undefined state */
    KSOpenVPNStateInitial,
    /* Management interface has been initialized */
    KSOpenVPNStateConnecting,
    /* Assigning IP address to virtual network interface */
    KSOpenVPNStateAssignIP,
    /* Adding routes to system */
    KSOpenVPNStateAddRoutes,
    /* Initialization sequence completed */
    KSOpenVPNStateConnected,
    /* Restart */
    KSOpenVPNStateReconnecting,
    /* Exit */
    KSOpenVPNStateExiting,
    /* Waiting for initial response from server */
    KSOpenVPNStateWait,
    /* Authenticating with server */
    KSOpenVPNStateAuth,
    /* Downloading configuration from server */
    KSOpenVPNStateGetConfig,
    /* DNS lookup */
    KSOpenVPNStateResolve,
    /* Connecting to TCP server */
    KSOpenVPNStateTCPConnect
};

/** Notification sent when OpenVPN state changes. */
extern NSString * const VPNUOpenVPNStateNotification;
/** Keys that can be included in notification's `userInfo` dictionary. */
extern NSString * const VPNUOpenVPNStateNotificationStateKey;
extern NSString * const VPNUOpenVPNStateNotificationDateKey;
extern NSString * const VPNUOpenVPNStateNotificationStateNameKey;

/** Notification sent when OpenVPN raises an error. */
extern NSString * const VPNUOpenVPNErrorNotification;
/** Key included in notification's `userInfo` dictionary. */
extern NSString * const VPNUOpenVPNErrorNotificationErrorKey;

/** Use this function to get extended description of each state. */
extern NSString *VPNUOpenVPNStateNotificationDescriptionString(KSOpenVPNState state);

